import { LayerBuilder } from '../../viewer';
import { Plugin, ToolbarItemType } from '../plugin';
import { FindHighlighter } from './find-highlighter';
export type FindPluginParams = {
    updateMatchesCountOnProgress?: boolean;
};
export declare class FindPlugin extends Plugin<FindPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private findController?;
    private findHighlighters;
    protected init(): void;
    protected destroy(): void;
    protected getFindHighlighter(layerBuilder: LayerBuilder): FindHighlighter | undefined;
}
